//
// ResetPasswordStepTwoRequest.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct ResetPasswordStepTwoRequest: Codable, JSONEncodable, Hashable {

    public var resetToken: String?
    public var newPassword: String?
    public var confirmNewPassword: String?

    public init(resetToken: String? = nil, newPassword: String? = nil, confirmNewPassword: String? = nil) {
        self.resetToken = resetToken
        self.newPassword = newPassword
        self.confirmNewPassword = confirmNewPassword
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case resetToken
        case newPassword
        case confirmNewPassword
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(resetToken, forKey: .resetToken)
        try container.encodeIfPresent(newPassword, forKey: .newPassword)
        try container.encodeIfPresent(confirmNewPassword, forKey: .confirmNewPassword)
    }
}

